# Current schema (defined in images_linux.go) allows for ref, tag, (index) digest and platform variants.
# Right now, digest and variants are not used for anything, but they should / could be in the future.
# Also note that changing the schema should be easy and straight-forward for now, so,
# this might evolve in the near future.
alpine:
  ref: "ghcr.io/stargz-containers/alpine"
  tag: "3.13-org"
  schemaversion: 2
  mediatype: "application/vnd.docker.distribution.manifest.list.v2+json"
  digest: "sha256:ec14c7992a97fc11425907e908340c6c3d6ff602f5f13d899e6b7027c9b4133a"
  variants: ["linux/amd64", "linux/arm64"]
  manifests:
    linux/amd64:
      mediatype: "application/vnd.docker.distribution.manifest.v2+json"
      manifest: "sha256:e103c1b4bf019dc290bcc7aca538dc2bf7a9d0fc836e186f5fa34945c5168310"
      config: "sha256:49f356fa4513676c5e22e3a8404aad6c7262cc7aaed15341458265320786c58c"
      raw: "ewogICAic2NoZW1hVmVyc2lvbiI6IDIsCiAgICJtZWRpYVR5cGUiOiAiYXBwbGljYXRpb24vdm5kLmRvY2tlci5kaXN0cmlidXRpb24ubWFuaWZlc3QudjIranNvbiIsCiAgICJjb25maWciOiB7CiAgICAgICJtZWRpYVR5cGUiOiAiYXBwbGljYXRpb24vdm5kLmRvY2tlci5jb250YWluZXIuaW1hZ2UudjEranNvbiIsCiAgICAgICJzaXplIjogMTQ3MiwKICAgICAgImRpZ2VzdCI6ICJzaGEyNTY6NDlmMzU2ZmE0NTEzNjc2YzVlMjJlM2E4NDA0YWFkNmM3MjYyY2M3YWFlZDE1MzQxNDU4MjY1MzIwNzg2YzU4YyIKICAgfSwKICAgImxheWVycyI6IFsKICAgICAgewogICAgICAgICAibWVkaWFUeXBlIjogImFwcGxpY2F0aW9uL3ZuZC5kb2NrZXIuaW1hZ2Uucm9vdGZzLmRpZmYudGFyLmd6aXAiLAogICAgICAgICAic2l6ZSI6IDI4MTE5NDcsCiAgICAgICAgICJkaWdlc3QiOiAic2hhMjU2OmNhM2NkNDJhN2M5NTI1ZjZjZTNkNjRjMWE3MDk4MjYxM2E4MjM1ZjBjYzA1N2VjOTI0NDA1MjkyMTg1M2VmMTUiCiAgICAgIH0KICAgXQp9"

busybox:
  ref: "ghcr.io/containerd/busybox"
  tag: "1.36"

docker_auth:
  ref: "ghcr.io/stargz-containers/cesanta/docker_auth"
  tag: "1.7-org"

fluentd:
  ref: "fluentd"
  tag: "v1.18.0-debian-1.0"

golang:
  ref: "golang"
  tag: "1.23.8-bookworm"

kubo:
  ref: "ghcr.io/stargz-containers/ipfs/kubo"
  tag: "v0.16.0-org"

mariadb:
  ref: "ghcr.io/stargz-containers/mariadb"
  tag: "10.5-org"

nanoserver:
  ref: "mcr.microsoft.com/windows/nanoserver"
  tag: "ltsc2022"

nginx:
  ref: "ghcr.io/stargz-containers/nginx"
  tag: "1.19-alpine-org"

registry:
  ref: "ghcr.io/stargz-containers/registry"
  tag: "2-org"

stargz:
  ref: "ghcr.io/containerd/stargz-snapshotter"
  tag: "0.15.1-kind"

wordpress:
  ref: "ghcr.io/stargz-containers/wordpress"
  tag: "5.7-org"

fedora_esgz:
  ref: "ghcr.io/stargz-containers/fedora"
  tag: "30-esgz"

ffmpeg_soci:
  ref: "public.ecr.aws/soci-workshop-examples/ffmpeg"
  tag: "latest"

# Large enough for testing soci index creation
ubuntu:
  ref: "public.ecr.aws/docker/library/ubuntu"
  tag: "23.10"

# Future: images to add or update soon.
# busybox:1.37.0@sha256:37f7b378a29ceb4c551b1b5582e27747b855bbfaa73fa11914fe0df028dc581f
# debian:bookworm-slim@sha256:b1211f6d19afd012477bd34fdcabb6b663d680e0f4b0537da6e6b0fd057a3ec3
# gitlab/gitlab-ee:17.11.0-ee.0@sha256:e0d9d5e0d0068f4b4bac3e15eb48313b5c3bb508425645f421bf2773a964c4ae
# bitnami/harbor-portal:v2.13.0@sha256:636f39610b359369aeeddd7859cb56274d9a1bc3e467e21d74ea89e1516c1a0c
# mariadb:11.7.2@sha256:81e893032978c4bf8ad43710b7a979774ed90787fa32d199162148ce28fe3b76
# nginx:alpine3.21@sha256:65645c7bb6a0661892a8b03b89d0743208a18dd2f3f17a54ef4b76fb8e2f2a10
# wordpress:6.8.0-php8.4-fpm-alpine@sha256:309b64fa4266d8a3fe6f0973ae3172fec1023c9b18242ccf1dffbff5dc8b81a8
# Right now, v3 is breaking tests.
# ghcr.io/distribution/distribution:3.0.0@sha256:4ba3adf47f5c866e9a29288c758c5328ef03396cb8f5f6454463655fa8bc83e2
